Bug 4738 - OJS 2.3 / PHP 5.3 incompatibilities
OJS 2.3 / PHP 5.3 incompatibilities
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.3
PC Linux
: P5 enhancement
Assigned To: Alec Smecher
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-09 13:02 PDT by Alec Smecher
Modified: 2009-10-07 13:55 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against PKP pre-release (199.56 KB, patch)
2009-09-09 15:55 PDT, Alec Smecher
Details | Diff
Patch against OJS pre-2.3 CVS (1.58 KB, patch)
2009-09-09 16:28 PDT, Alec Smecher
Details | Diff
Patch against OCS pre-2.3 CVS (490 bytes, patch)
2009-09-09 16:30 PDT, Alec Smecher
Details | Diff
Patch against OMP pre-release (440 bytes, patch)
2009-09-09 16:31 PDT, Alec Smecher
Details | Diff
Patch against Harvester 2.3 (1.21 KB, patch)
2009-09-09 16:33 PDT, Alec Smecher
Details | Diff
Patch against OJS pre-2.3 CVS (409 bytes, patch)
2009-09-10 10:03 PDT, Alec Smecher
Details | Diff
Patch against PKP pre-release (4.65 KB, patch)
2009-09-18 11:07 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2009-09-09 13:02:10 PDT
OJS 2.3 / PHP 5.3 incompatibilities: apparently the way constructors are handled has changed, leading to some fatal errors appearing where before they didn't. From Michael Joyce, e.g.:

in ojs/pages/LoginHandler.inc.php

class LoginHandler extends PKPLoginHandler {
   /**
    * Constructor
    **/
   function LoginHandler() {
       parent::PKPLoginHandler();
   }


The LoginHandler() method cannot find the PKPLoginHandler() method in the base class, because there isn't one.
Comment 1 Alec Smecher 2009-09-09 15:55:01 PDT
Created attachment 2398 [details]
Patch against PKP pre-release

Upgraded ADODB from 4.90 to 4.991 -- this appears to have cleared up the problem. Needs further testing!
Comment 2 Alec Smecher 2009-09-09 16:28:34 PDT
Created attachment 2399 [details]
Patch against OJS pre-2.3 CVS

PHP 5.3 has changed reference behavior for call_user_func as well -- if params have reference expectations, null gets passed in instead.
Comment 3 Alec Smecher 2009-09-09 16:30:54 PDT
Created attachment 2400 [details]
Patch against OCS pre-2.3 CVS
Comment 4 Alec Smecher 2009-09-09 16:31:28 PDT
Created attachment 2401 [details]
Patch against OMP pre-release
Comment 5 Alec Smecher 2009-09-09 16:33:39 PDT
Created attachment 2402 [details]
Patch against Harvester 2.3
Comment 6 Alec Smecher 2009-09-10 10:03:32 PDT
Created attachment 2411 [details]
Patch against OJS pre-2.3 CVS
Comment 7 Alec Smecher 2009-09-10 10:04:38 PDT
Also fixed for OCS and OMP.
Comment 8 Alec Smecher 2009-09-18 11:07:20 PDT
Created attachment 2438 [details]
Patch against PKP pre-release

Fixed instantiation by reference cases -- these break PHP 5.3.
Comment 9 Alec Smecher 2009-09-18 11:08:56 PDT
Reverted ADODB upgrade -- too many bugs in current versions's PostgreSQL data dictionary code. Attachment #2438 [details] corrects PHP5.3 incompatibility with the old version of ADODB.
Comment 10 Alec Smecher 2009-10-07 13:55:53 PDT
Fixed.